org.h2.test.poweroff

## Class Listener

- java.lang.Object
- - org.h2.test.poweroff.Listener

All Implemented Interfaces:
  java.lang.Runnable

    public class Listener
    extends java.lang.Object
    implements java.lang.Runnable

The listener application for the power off test. The listener runs on a computer that stays on during the whole test.

### Constructor Summary

Constructors
Constructor and Description
`Listener()`

### Method Summary

Methods
`static void` `main(java.lang.String... args)` This method is called when executing this application from the command line.
`void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Listener

    public Listener()

### Method Detail

#### main

    public static void main(java.lang.String... args)
                     throws java.io.IOException

This method is called when executing this application from the command line.

Parameters:
  `args` - the command line parameters
Throws:
  `java.io.IOException`

#### run

    public void run()

Specified by:
  `run` in interface `java.lang.Runnable`